OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Namespaces | Macros | Variables
macros.hpp File Reference
`#include <chrono>`
`#include <memory>`
`#include <ostream>`
`#include <string>`
`#include <thread>`
`#include <vector>`
`#include <opencv2/core/core.hpp>`

Go to the source code of this file.

## Classes
class | caffe::Blob< T >
class | boost::shared_ptr< T >

## Namespaces
| caffe
| boost

## Macros
#define | OP_API
#define | UNUSED(unusedVariable) (void)(unusedVariable)
#define | DELETE_COPY(className)
#define | COMPILE_TEMPLATE_BASIC_TYPES_CLASS(className) COMPILE_TEMPLATE_BASIC_TYPES(className, class)
#define | COMPILE_TEMPLATE_BASIC_TYPES_STRUCT(className) COMPILE_TEMPLATE_BASIC_TYPES(className, struct)
#define | COMPILE_TEMPLATE_BASIC_TYPES(className, classType)
#define | OVERLOAD_C_OUT(className)
#define | COMPILE_TEMPLATE_FLOATING_TYPES_CLASS(className) COMPILE_TEMPLATE_FLOATING_TYPES(className, class)
#define | COMPILE_TEMPLATE_FLOATING_TYPES_STRUCT(className) COMPILE_TEMPLATE_FLOATING_TYPES(className, struct)
#define | COMPILE_TEMPLATE_FLOATING_TYPES(className, classType)

## Variables
const std::string | OPEN_POSE_NAME_STRING = "OpenPose"
const std::string | OPEN_POSE_VERSION_STRING = "1.4.0"
const std::string | OPEN_POSE_NAME_AND_VERSION = OPEN_POSE_NAME_STRING + " " + OPEN_POSE_VERSION_STRING

## Macro Definition Documentation

#define COMPILE_TEMPLATE_BASIC_TYPES | ( |  | className,
|  |  | classType
| ) |  |

Value:
template classType OP_API className<char>; \
template classType OP_API className<signed char>; \
template classType OP_API className<short>; \
template classType OP_API className<int>; \
template classType OP_API className<long>; \
template classType OP_API className<long long>; \
template classType OP_API className<unsigned char>; \
template classType OP_API className<unsigned short>; \
template classType OP_API className<unsigned int>; \
template classType OP_API className<unsigned long>; \
template classType OP_API className<unsigned long long>; \
template classType OP_API className<float>; \
template classType OP_API className<double>; \
template classType OP_API className<long double>
OP_API
#define OP_API
Definition: macros.hpp:19

#define COMPILE_TEMPLATE_BASIC_TYPES_CLASS | ( |  | className | ) | COMPILE_TEMPLATE_BASIC_TYPES(className, class)

#define COMPILE_TEMPLATE_BASIC_TYPES_STRUCT | ( |  | className | ) | COMPILE_TEMPLATE_BASIC_TYPES(className, struct)

#define COMPILE_TEMPLATE_FLOATING_TYPES | ( |  | className,
|  |  | classType
| ) |  |

Value:
char gInstantiationGuard##className; \
template classType OP_API className<float>; \
template classType OP_API className<double>
OP_API
#define OP_API
Definition: macros.hpp:19

#define COMPILE_TEMPLATE_FLOATING_TYPES_CLASS | ( |  | className | ) | COMPILE_TEMPLATE_FLOATING_TYPES(className, class)

#define COMPILE_TEMPLATE_FLOATING_TYPES_STRUCT | ( |  | className | ) | COMPILE_TEMPLATE_FLOATING_TYPES(className, struct)

#define DELETE_COPY | ( |  | className | ) |

Value:
className(const className&) = delete; \
className& operator=(const className&) = delete

#define OP_API

#define OVERLOAD_C_OUT | ( |  | className | ) |

Value:
template<typename T> std::ostream &operator<<(std::ostream& ostream, const op::className<T>& obj) \
{ \
ostream << obj.toString(); \
return ostream; \
}

cout operator overload calling toString() function

Returns
  std::ostream containing output from toString()

#define UNUSED | ( |  | unusedVariable | ) | (void)(unusedVariable)

## Variable Documentation

const std::string OPEN_POSE_NAME_AND_VERSION = OPEN_POSE_NAME_STRING + " " + OPEN_POSE_VERSION_STRING

const std::string OPEN_POSE_NAME_STRING = "OpenPose"

const std::string OPEN_POSE_VERSION_STRING = "1.4.0"